# Interface LanguageResourcesProperties

Properties that can be passed into the constructor for LanguageResources.

interface LanguageResourcesProperties {
id?: string;
locale?: string;
values?: Record<string, string>;
}

#### Hierarchy (view full)

- EntityProperties
  - LanguageResourcesProperties

#####
Index

### Properties

id?
locale?
values?

##
Properties

### `Optional` id

id?: string

The unique ID to assign to the entity. If not specified, one will be generated.

Inherited from EntityProperties.id

### `Optional` locale

locale?: string

The locale of the strings.

### `Optional` values

values?: Record<string, string>

The set of localized strings, indexed by unique key.